- Qt 6.10
- Qt Core
- Obsolete Members for <QtGlobal>
- Qt 6.10.2 Reference Documentation

# Obsolete Members for <QtGlobal>

The following members of class <QtGlobal> are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Macros

`(deprecated)` | qMove(x)

## Macro Documentation

### `[deprecated]` qMove(x)

This macro is deprecated. We strongly advise against using it in new code.

Use `std::move` instead.

It expands to "std::move".

qMove takes an rvalue reference to its parameter x, and converts it to an xvalue.